=== debian/watch ===
version=4
https://metacpan.org/release/Class-AutoloadCAN   .*/Class-AutoloadCAN-v?@ANY_VERSION@@ARCHIVE_EXT@$
